##
##  premake.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  5.0.0a13
%define       V_dist  5.0.0-alpha13

#   package information
Name:         premake
Summary:      Build-Specification Generator
URL:          http://premake.github.io/
Vendor:       Jason Perkins
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      GPL
Version:      %{V_opkg}
Release:      20181106

#   list of sources
Source0:      https://github.com/premake/premake-core/releases/download/v%{V_dist}/premake-%{V_dist}-src.zip
Patch0:       premake.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, infozip, make
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Premake is a build configuration tool. Describe your build using a
    simple, easy to read syntax and let Premake generate the project
    files for your specific toolset. Premake makes it easy to manage
    your builds, on one platform or many, and the full-featured Lua
    scripting engine makes build configuration tasks a breeze.

%track
    prog premake = {
        version   = %{V_dist}
        url       = http://premake.github.io/download.html
        regex     = premake-(\d+\.\d+(?:\.\d+)?(-(?:alpha|beta)\d+)?)-src\.zip
    }

%prep
    %setup -q -n premake-%{V_dist}
    %patch -p0

%build
    cd build/gmake.unix
    ldflags="-lm"
    case "%{l_platform -t}" in
        *-linux* ) ldflags="$ldflags -ldl" ;;
    esac
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        LDFLAGS="$ldflags"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        bin/release/premake5 $RPM_BUILD_ROOT%{l_prefix}/bin/premake
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

